Package Details: ruby-haml 4.0.7-1

Git Clone URL: https://aur.archlinux.org/ruby-haml.git (read-only)
Package Base: ruby-haml
Description: An elegant, structured (X)HTML/XML templating engine.
Upstream URL: http://haml.info/
Licenses: MIT
Submitter: k0001
Maintainer: bymeadhbh
Last Packager: bymeadhbh
Votes: 15
Popularity: 0.011745
First Submitted: 2010-09-24 22:43
Last Updated: 2015-10-01 13:12

Latest Comments

helmuthdu commented on 2013-07-31 13:30

version 4.0.3: http://pastebin.com/6KV9WDqc

thebodzio commented on 2012-03-23 03:06

I took the liberty of updating this PKGBUILD to the current version. I hope you don't mind. I'd be great if you could apply it after reviewing.

-- patch --

--- PKGBUILD.old 2012-03-23 03:49:41.622569748 +0100
+++ PKGBUILD 2012-03-23 04:03:59.066906872 +0100
@@ -1,6 +1,6 @@
# Maintainer: Renzo Carbonara <gnuk0001@gmail.com>
pkgname=ruby-haml
-pkgver=3.0.25
+pkgver=3.1.4
pkgrel=1
pkgdesc="An elegant, structured XHTML/XML templating engine. Comes with Sass, a similar CSS templating engine."
arch=('any')
@@ -20,13 +20,13 @@
noextract=("haml-${pkgver}.gem")

build() {
- cd $srcdir
- ln -s MIT-LICENSE LICENSE
local _gemdir="$(ruby -rubygems -e'puts Gem.default_dir')"
- gem install --ignore-dependencies -i "$pkgdir$_gemdir" haml-$pkgver.gem \
- -n "$pkgdir/usr/bin"
+ gem install --no-user-install --ignore-dependencies -i "$pkgdir$_gemdir" \
+ -n "$pkgdir/usr/bin" --verbose haml-$pkgver.gem
+ install -D -m644 "$pkgdir$_gemdir/gems/haml-$pkgver/MIT-LICENSE" \
+ "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
}

-md5sums=('88da935b08a8458d453a65da1a93f4de')
+md5sums=('0e8b8b749896d12ae5b250b13b280289')

# vim:set ts=2 sw=2 et:

-- patch --

Anonymous comment on 2011-08-29 20:06

I installed ruby-sass, now haml won't install because of the file conflicts.

k0001 commented on 2011-04-09 13:45

Updated to 3.0.25

k0001 commented on 2010-09-24 22:43

Package built with gem2arch.